Bug 146557 - Formatting brush doesn't work with bullet lists
Summary: Formatting brush doesn't work with bullet lists
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Clone-Formatting
  Show dependency treegraph
 
Reported: 2022-01-04 00:16 UTC by hikerguy62
Modified: 2022-01-24 11:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Output from OpenGL window (54.37 KB, image/jpeg)
2022-01-04 00:16 UTC, hikerguy62
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hikerguy62 2022-01-04 00:16:07 UTC
Description:
In Word, if I have a  list of bullet items, I can click on the Formatting Brush and "paint across" other items (that currently aren't bullet items) and turn them into bullet items. I Libre Writer, that doesn't work. Can this feature be added?

Steps to Reproduce:
Create two lists:

one 
two
three

one 
two 
three

Highlight the first list and click on the "bullet list" icon to turn the list into a bullet list. 

Highlight the bulleted list, click on the Clone Formatting tool, the "paint" the second list. I expected the second list to turn into a bulleted list (as it does in Word), but there's no change. 

Actual Results:
No change to the second list. 

Expected Results:
It should become a bullet list. 


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
n.a.
Comment 1 hikerguy62 2022-01-04 00:16:49 UTC
Created attachment 177301 [details]
Output from OpenGL window
Comment 2 raal 2022-01-08 06:37:38 UTC
I can confirm with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: eee703970581545b56f3b2faa5b5911923ec28ea
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

and Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Timur 2022-01-13 10:15:20 UTC
Sometimes, when testing with some old version like 4.1, clue is to test with older version and OO. 
LO 3.5 used to apply bullets, LO 3.6 applied only in last item, LO 4.0 doesn't apply. So this can be called regression bibisectable in 43all.
Comment 4 Timur 2022-01-13 10:43:33 UTC
1st change:
commit 782be4193770a332476f99538efa5967d79af5c3
Date:   Thu Apr 26 23:37:39 2012 +0200
    source-hash-8757c9c462ba690de60602404ef2e9e99702f0b4
    prev source-hash-45295f3cdceb4c289553791071b5d7f4962d2ec4
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=45295f3cdceb4c289553791071b5d7f4962d2ec4..8757c9c462ba690de60602404ef2e9e99702f0b4

Seems:
author	Maxime de Roucy <mderoucy@linagora.com>	2012-03-14 
commit 357fac9713875302d30185feabaf5c165e040ca4 
Rewrite of the format paintbrush
With this patch the format paintbrush differentiate automatic character
attributes apply to character than those apply to paragraph.
Character attributes applied to paragraph are treat as paragraph format
when paragraph format are copied (and so apply to paragraph), and treat
as character format when paragraph format are not copied.
It also change the behavior of the format paintbrush on "restart
numbering" and "restart numbering at" attributes. With this patch those
attributes are simply copied… as expected.

2nd change: 7742d3f486b624b5467b51abdccf658dbbafc505 is the first chenge commit
Date:   Mon Dec 10 00:39:03 2012 
    source-hash-836822522a2e9f009c0870cbbcd48d45bbd3c622
    prev source-hash-15af925c254f27046427de70a59011e2ac3d6bdb
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=15af925c254f27046427de70a59011e2ac3d6bdb..836822522a2e9f009c0870cbbcd48d45bbd3c622

Seems: 
author	Maxime de Roucy <mderoucy@linagora.com>	2012-03-14
commit 1574c76ec20d1da479ed7e9c85a6cefacc132dfe 
Format paintbrush default behaviour
Don't copy paragraph formats by default

So we need someone to decipher this.
Comment 5 Timur 2022-01-21 13:37:58 UTC
Hi Heiko. Can you please see this or point to someone else?
Comment 6 Heiko Tietze 2022-01-24 10:01:42 UTC
(In reply to Timur from comment #5)
> Hi Heiko. Can you please see this or point to someone else?

All Greek to me. Mike, do you understand this commit message?
Comment 7 Mike Kaganski 2022-01-24 10:18:59 UTC
As explained in help [1]:

> By default only the character formatting is copied ; to include paragraph
> formatting, hold down Ctrl when you click. To copy only the paragraph
> formatting, hold down Ctrl+Shift when you click.

That is exactly what was implemented in the mentioned commits. It is not a regression. When you want to change paragraph formatting, just hold Ctrl. That is also hinted by the tooltip on the Format Paintbrush tool (see someone's commit https://git.libreoffice.org/core/+/effc05eecb1359239ca7a86103a6fd9fc8424015).

[1] https://help.libreoffice.org/latest/en-US/text/shared/guide/paintbrush.html
Comment 8 Timur 2022-01-24 11:06:28 UTC
Thanks. I used Ctrl and it didn't work. I'm not user how Ctrl+Shift works.
Comment 9 Mike Kaganski 2022-01-24 11:13:37 UTC
(In reply to Timur from comment #8)
> I used Ctrl and it didn't work.

I used Ctrl and it worked ;) Please be specific how you describe your actions. You could make a mistake e.g. that you pressed Ctrl when clicking on the toolbar button, or when clicking on the source text, while in reality you only need to hold Ctrl when applying the formatting (i.e., clicking/selecting the target text).